--- rt2_original/lib/RT/Date.pm Mon Jun 27 12:23:51 2005
+++ rt2/lib/RT/Date.pm  Thu Nov 24 12:50:01 2005
@@ -29,7 +29,7 @@

 package RT::Date;
 use Time::Local;
-use vars qw($MINUTE $HOUR $DAY $WEEK $MONTH $YEAR);
+use vars qw($MINUTE $HOUR $DAY $WEEK $MONTH $YEAR $DATE_FORMATS);

 $MINUTE = 60;
 $HOUR   = 60 * $MINUTE;
@@ -38,6 +38,11 @@
 $MONTH  = 4 * $WEEK;
 $YEAR   = 365 * $DAY;

+%DATE_FORMATS = (
+       br              => '"$year-$mon-$mday $hour:$min:$sec"',
+       d_br    => '"$year-$mon-$mday"',
+);
+
 # {{{ sub new

 sub new  {
@@ -309,6 +314,21 @@
 }
 # }}}

+sub AsFormattedString {
+       my $self = shift;
+       my $format = shift || 'br';
+
+       my($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, $isdst) = localtime($self->Unix);
+       $year += 1900;
+       $mon    = sprintf("%02d", $mon + 1);
+       $mday   = sprintf("%02d", $mday);
+       $hour   = sprintf("%02d", $hour);
+       $min    = sprintf("%02d", $min);
+       $sec    = sprintf("%02d", $sec);
+
+       return eval($DATE_FORMATS{$format});
+}
+
 # {{{ sub AddSeconds

 =head2 sub AddSeconds

